package org.rcisoft.sys.ossinfo.dao;

import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.sys.ossinfo.entity.OssInfo;
import org.rcisoft.core.model.CyPageInfo;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
* Created with cy on 2022年11月21日 上午11:18:04.
*/

public interface OssInfoRepository extends CyBaseMapper<OssInfo> {


    List<OssInfo> queryOssInfos(@Param("entity") OssInfo ossInfo);

    /**
    * 分页查询 ossInfo
    *
    */
    IPage<OssInfo> queryOssInfosPaged(CyPageInfo cyPageInfo,@Param("entity") OssInfo ossInfo);
}

