package org.rcisoft.sys.ossinfo.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import org.rcisoft.core.entity.CyIdIncreEntity;

/**
* Created with cy on 2022年11月21日 上午11:18:04.
*/
@Data
@TableName("oss_info")
public class OssInfo  extends CyIdIncreEntity<OssInfo> {

     /**
     * @desc 桶名称
     * @column bucket
     * @default
     */
     @Excel(name = "桶名称", orderNum = "0", width = 20)
     private String bucket;
     /**
     * @desc 文件夹路径
     * @column path
     * @default
     */
     @Excel(name = "文件夹路径", orderNum = "1", width = 20)
     private String path;
     /**
     * @desc 文件名
     * @column oss_key
     * @default
     */
     @Excel(name = "文件名", orderNum = "2", width = 20)
     private String ossKey;
     /**
     * @desc 文件md5
     * @column md5
     * @default
     */
     @Excel(name = "文件md5", orderNum = "3", width = 20)
     private String md5;
     /**
     * @desc etag
     * @column e_tag
     * @default
     */
     @Excel(name = "etag", orderNum = "4", width = 20)
     private String eTag;
     /**
     * @desc 文件公网地址
     * @column url
     * @default
     */
     @Excel(name = "文件公网地址", orderNum = "5", width = 20)
     private String url;
     /**
     * @desc 文件大小，单位字节
     * @column file_size
     * @default
     */
     @Excel(name = "文件大小，单位字节", orderNum = "6", width = 20)
     private Long fileSize;
     /**
     * @desc 文件类型
     * @column file_type
     * @default
     */
     @Excel(name = "文件类型", orderNum = "7", width = 20)
     private String fileType;
     /**
     * @desc 原始文件名
     * @column original_name
     * @default
     */
     @Excel(name = "原始文件名", orderNum = "8", width = 20)
     private String originalName;
     /**
     * @desc 转换成pdf文件公网地址
     * @column to_pdf_url
     * @default
     */
     @Excel(name = "转换成pdf文件公网地址", orderNum = "9", width = 20)
     private String toPdfUrl;


}

