package org.rcisoft.sys.sysuser.dao;

import org.apache.ibatis.annotations.Mapper;
import org.rcisoft.core.mapper.CyBaseMapper;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.rcisoft.sys.sysuser.entity.SysDictData;
import org.rcisoft.sys.sysuser.entity.SysUser;
import org.springframework.stereotype.Repository;
import org.rcisoft.core.model.CyPageInfo;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
* Created with cy on 2022年11月17日 下午4:03:19.
*/
@Mapper
public interface SysDictDataRepositorys extends CyBaseMapper<SysDictData> {


    List<SysDictData> querySysDictDatas(@Param("entity") SysDictData sysDictData);

    /**
    * 分页查询 sysDictData
    *
    */
    IPage<SysDictData> querySysDictDatasPaged(CyPageInfo cyPageInfo,@Param("entity") SysDictData sysDictData);

    //查询字典
    List<SysUser> queryData(SysUser sysUser);
    //查询全部字典
    List<SysUser> queryDataAll(SysUser sysUser);

    //根据职位id查询职位字典
    List<SysDictData> queryDataByPosition(String position);

    //根据班次id查询班次字典
    List<SysDictData> queryDataByNltBz(String nltBz);

    //根据字典标签查询
    SysDictData queryDataByDeptIdC(String dictLabel);

    //查询登记方式
    SysDictData queryDataByCardType(String cardType);
}

