package org.rcisoft.sys.sysuser.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import org.rcisoft.core.entity.CyIdNotDataEntity;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* Created with cy on 2022年11月21日 下午3:35:29.
*/
@Data
@TableName("sys_user_role")
public class SysUserRole  extends CyIdNotDataEntity<SysUserRole> {

     /**
     * @desc 用户id
     * @column user_id
     * @default 
     */
     @Excel(name = "用户id", orderNum = "0", width = 20)
     private Integer userId;
     /**
     * @desc 角色id
     * @column role_id
     * @default 
     */
     @Excel(name = "角色id", orderNum = "1", width = 20)
     private Integer roleId;


}

