package org.rcisoft.sys.visit.dao;

import org.apache.ibatis.annotations.Mapper;
import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.sys.visit.entity.VisitUser;
import org.rcisoft.core.model.CyPageInfo;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
 * Created with cy on 2022年11月16日 下午4:30:18.
 */
@Mapper
public interface VisitUserRepository extends CyBaseMapper<VisitUser> {

    VisitUser queryByVisitUser(@Param("entity") VisitUser visitUser);

    List<VisitUser> queryVisitUsers(@Param("entity") VisitUser visitUser);

    /**
     * 分页查询 visitUser
     */
    IPage<VisitUser> queryVisitUsersPaged(CyPageInfo cyPageInfo, @Param("entity") VisitUser visitUser);

    int deleteByVisitId(@Param("visitId") int visitId);
}

