package org.rcisoft.sys.doordeviceinfo.dao;

import org.apache.ibatis.annotations.Mapper;
import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.sys.doordeviceinfo.entity.DoorDeviceInfo;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;
import org.rcisoft.core.model.CyPageInfo;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
 * Created with cy on 2022年12月23日 下午2:04:50.
 */
@Mapper
public interface DoorDeviceInfoRepository extends CyBaseMapper<DoorDeviceInfo> {


    List<DoorDeviceInfo> queryDoorDeviceInfos(@Param("entity") DoorDeviceInfo doorDeviceInfo);

    /**
     * 分页查询 doorDeviceInfo
     */
    IPage<DoorDeviceInfo> queryDoorDeviceInfosPaged(CyPageInfo cyPageInfo, @Param("entity") DoorDeviceInfo doorDeviceInfo);

    DoorDeviceInfo queryDoorDeviceInfosById(Integer business_id);

    public int updateDoorDeviceInfos(@Param("entity") DoorDeviceInfo doorDeviceInfo);
}

