package org.rcisoft.sys.doorreportdata.dao;

import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.sys.doorreportdata.entity.DoorReportData;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;
import org.rcisoft.core.model.CyPageInfo;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
* Created with cy on 2022年12月23日 下午1:57:30.
*/

public interface DoorReportDataRepository extends CyBaseMapper<DoorReportData> {


    List<DoorReportData> queryDoorReportDatas(@Param("entity") DoorReportData doorReportData);

    /**
    * 分页查询 doorReportData
    *
    */
    IPage<DoorReportData> queryDoorReportDatasPaged(CyPageInfo cyPageInfo,@Param("entity") DoorReportData doorReportData);
}

